Apache 2.0, Mongrel and ActionWebService

This is a bug in AWS. Please submit a ticket.

Completely off topic, but I think you mean Apache *2.2*,
mod_proxy_balancer and Mongrel. AFAIK, mod_proxy_balancer won't work
with 2.0.

Isak